import { Injectable } from '@nestjs/common';

const BITS_PER_TC = 10;

@Injectable()
export class ConversionService {
  bitsToTC(bits: number): number {
    if (bits < 0) throw new Error('bits cannot be negative');
    return Math.floor(bits / BITS_PER_TC);
  }
}
